ojph::coded_lists Struct Reference

`#include <ojph_mem.h>`

## Public Member Functions

| coded_lists (ui32 size)

## Public Attributes

coded_lists * | next_list
ui32 | buf_size
ui32 | avail_size
ui8 * | buf

## Constructor & Destructor Documentation

## coded_lists()

ojph::coded_lists::coded_lists | ( | ui32 | size | ) |

inline

References avail_size, buf, buf_size, and next_list.

## Member Data Documentation

## avail_size

ui32 ojph::coded_lists::avail_size

Referenced by coded_lists(), and ojph::local::ojph_encode_codeblock().

## buf

ui8* ojph::coded_lists::buf

Referenced by coded_lists(), ojph::T1OJPH::compress(), and ojph::local::ojph_encode_codeblock().

## buf_size

ui32 ojph::coded_lists::buf_size

Referenced by coded_lists().

## next_list

coded_lists* ojph::coded_lists::next_list

Referenced by coded_lists().

The documentation for this struct was generated from the following file:

- ojph_mem.h